glibmm: Gio::FilterOutputStream Class Reference

# Gio::FilterOutputStream Class Reference
[Stream Classes]

Filter Output Stream. More...

Inherits Gio::OutputStream.

Inherited by Gio::BufferedOutputStream.

Collaboration diagram for Gio::FilterOutputStream:
[legend]

List of all members.

## Public Member Functions
virtual | ~FilterOutputStream ()
GFilterOutputStream* | gobj ()
| Provides access to the underlying C GObject.
const GFilterOutputStream* | gobj () const
| Provides access to the underlying C GObject.
GFilterOutputStream* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< OutputStream > | get_base_stream ()
| Gets the base stream for the filter stream.
Glib::RefPtr< const OutputStream > | get_base_stream () const
| Gets the base stream for the filter stream.
bool | get_close_base_stream () const
| Return value: `true` if the base stream will be closed.
void | set_close_base_stream (bool close_base=true)
| Sets whether the base stream will be closed when stream is closed.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< InputStream > > | property_base_stream () const
| The underlying base stream on which the io ops will be done.
Glib::PropertyProxy_ReadOnly < bool > | property_close_base_stream () const
| If the base stream should be closed when the filter stream is closed.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::FilterOutputStream > | wrap (GFilterOutputStream* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Filter Output Stream.

Since glibmm 2.16:

## Constructor & Destructor Documentation

virtual Gio::FilterOutputStream::~FilterOutputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<const OutputStream> Gio::FilterOutputStream::get_base_stream | ( |  | ) | const

Gets the base stream for the filter stream.

Returns:
  A OutputStream.

Glib::RefPtr<OutputStream> Gio::FilterOutputStream::get_base_stream | ( |  | ) |

Gets the base stream for the filter stream.

Returns:
  A OutputStream.

bool Gio::FilterOutputStream::get_close_base_stream | ( |  | ) | const

Return value: `true` if the base stream will be closed.

Returns:
  `true` if the base stream will be closed.

const GFilterOutputStream* Gio::FilterOutputStream::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::OutputStream.

Reimplemented in Gio::BufferedOutputStream, and Gio::DataOutputStream.

GFilterOutputStream* Gio::FilterOutputStream::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::OutputStream.

Reimplemented in Gio::BufferedOutputStream, and Gio::DataOutputStream.

GFilterOutputStream* Gio::FilterOutputStream::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::OutputStream.

Reimplemented in Gio::BufferedOutputStream, and Gio::DataOutputStream.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<InputStream> > Gio::FilterOutputStream::property_base_stream | ( |  | ) | const

The underlying base stream on which the io ops will be done.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gio::FilterOutputStream::property_close_base_stream | ( |  | ) | const

If the base stream should be closed when the filter stream is closed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gio::FilterOutputStream::set_close_base_stream | ( | bool | close_base = `true` | ) |

Sets whether the base stream will be closed when stream is closed.

Parameters:

  | close_base | `true` to close the base stream.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::FilterOutputStream > wrap | ( | GFilterOutputStream * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- giomm/filteroutputstream.h